ParserState (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser
Class ParserState

    java.lang.Object
      org.maltparser.parser.ParserState

    public class ParserState

extends Object

Author:
  Johan Hall

Constructor Summary
`ParserState(Algorithm algorithm, AbstractParserFactory factory)`
`ParserState(Algorithm algorithm, AbstractParserFactory factory, int k)`

Method Summary
`void` | `apply(GuideUserAction currentAction)`
`void` | `clear()`
`Algorithm` | `getAlgorithm()`
`ParserConfiguration` | `getConfiguration()`
`AbstractParserFactory` | `getFactory()`
`GuideUserHistory` | `getHistory()`
`HistoryStructure` | `getHistoryStructure()`
`SymbolTableHandler` | `getSymboltables()`
`TransitionSystem` | `getTransitionSystem()`
`void` | `initialize(DependencyStructure dependencyStructure)`
`boolean` | `isTerminalState()`
`int` | `nConfigurations()`
`boolean` | `permissible(GuideUserAction currentAction)`
`void` | `setAlgorithm(Algorithm algorithm)`
`void` | `setFactory(AbstractParserFactory factory)`
`protected void` | `setHistory(GuideUserHistory history)`
`protected void` | `setHistoryStructure(HistoryStructure historyStructure)`
`protected void` | `setSymboltables(SymbolTableHandler symboltables)`
`protected void` | `setTransitionSystem(TransitionSystem transitionSystem)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParserState

    public ParserState(Algorithm algorithm,
                       AbstractParserFactory factory)
                throws MaltChainedException

Throws:
  `MaltChainedException`

### ParserState

    public ParserState(Algorithm algorithm,
                       AbstractParserFactory factory,
                       int k)
                throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### clear

    public void clear()
               throws MaltChainedException

  Throws:
    `MaltChainedException`

### getAlgorithm

    public Algorithm getAlgorithm()

### setAlgorithm

    public void setAlgorithm(Algorithm algorithm)

### getSymboltables

    public SymbolTableHandler getSymboltables()

### setSymboltables

    protected void setSymboltables(SymbolTableHandler symboltables)

### getHistory

    public GuideUserHistory getHistory()

### setHistory

    protected void setHistory(GuideUserHistory history)

### getTransitionSystem

    public TransitionSystem getTransitionSystem()

### setTransitionSystem

    protected void setTransitionSystem(TransitionSystem transitionSystem)

### getHistoryStructure

    public HistoryStructure getHistoryStructure()

### setHistoryStructure

    protected void setHistoryStructure(HistoryStructure historyStructure)

### initialize

    public void initialize(DependencyStructure dependencyStructure)
                    throws MaltChainedException

  Throws:
    `MaltChainedException`

### isTerminalState

    public boolean isTerminalState()
                            throws MaltChainedException

  Throws:
    `MaltChainedException`

### permissible

    public boolean permissible(GuideUserAction currentAction)
                        throws MaltChainedException

  Throws:
    `MaltChainedException`

### apply

    public void apply(GuideUserAction currentAction)
               throws MaltChainedException

  Throws:
    `MaltChainedException`

### nConfigurations

    public int nConfigurations()
                        throws MaltChainedException

  Throws:
    `MaltChainedException`

### getConfiguration

    public ParserConfiguration getConfiguration()

### getFactory

    public AbstractParserFactory getFactory()

### setFactory

    public void setFactory(AbstractParserFactory factory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.